FAQ  •  Register  •  Login

Cytofkit removed from Bioconductor with v3.9

Forum rules
Please be as geeky as possible. Reference, reference, reference.
Also, please note that this is a mixed bag of math-gurus and mathematically challenged, so choose your words wisely :-)
<<

markyyy

Participant

Posts: 15

Joined: Wed Jul 26, 2017 4:09 pm

Post Thu Jul 18, 2019 3:50 pm

Cytofkit removed from Bioconductor with v3.9

Hi all,

Just wanted to draw attention for those who still use Cytofkit that the newest version of Bioc (v3.9) completely removes the package. I also saw a number of changes in the new version of R that lead me to reverting back to a timestamp from yesterday (thanks time machine!).

Does anyone know if there are workarounds or ways to bypass this, or are those of us who still use cytofkit now frozen in the last supported version of R and Bioc?

Looking forward to hearing thoughts on the matter.

Thanks,
Mark
<<

Kjwaller

Participant

Posts: 11

Joined: Sat Aug 27, 2016 6:56 am

Post Fri Sep 13, 2019 9:14 am

Re: Cytofkit removed from Bioconductor with v3.9

Hi Mark,

I too have encountered this issue, please tell me someone has helped you?! I'm in the last stages of my thesis and only used this a few months ago and have tried again and I can no longer get it to work, not great timing! I tried not updating the Bioc but it just kept telling me that cytofkit could not run on my version of R, having tried 3 different versions to no avail I feel my hair will fall out shortly with stress. I would hugely appreciate any guidance anyone can offer (please keep in mind I am very much an R newb I can copy, paste, run and not much else). Sorry I can't help!

Thanks,
Kate
<<

jimbomahoney

Contributor

Posts: 45

Joined: Wed Feb 27, 2019 11:21 am

Post Fri Sep 13, 2019 9:49 am

Re: Cytofkit removed from Bioconductor with v3.9

Hi both,

I think I got it working...

Here's the code I used:

Force install of cytofkit and dependencies:

  Code:
if(!require(devtools)){
  install.packages("devtools") # If not already installed
}
devtools::install_github("JinmiaoChenLab/cytofkit",force=TRUE,depencencies=TRUE)


But I think this next part was the key:

  Code:
if (!requireNamespace("BiocManager", quietly = TRUE))
  install.packages("BiocManager")

BiocManager::install("IRanges")


EDIT: Strange, when I ran it again, I also needed this:

  Code:
if (!require("processx")) {
  install.packages("processx", dependencies = TRUE)
  library(processx)
}


Running Cytofkit:

  Code:
library("cytofkit")
cytofkit_GUI()


Seems to work:

Image
<<

mleipold

Guru

Posts: 1751

Joined: Fri Nov 01, 2013 5:30 pm

Location: Stanford HIMC, CA, USA

Post Fri Sep 13, 2019 3:06 pm

Re: Cytofkit removed from Bioconductor with v3.9

Hi all,

I think there are a few separate issues here:

1. Bioconductor deprecating Cytofkit, so it doesn't install well using the regular installation code.

2. Version issues in R. Sometimes updated versions of R require updated OS's.

3. Version issues in other packages required for Cytofkit to operate correctly. Sometimes updated versions of packages require updated versions of R (which, as stated in #2, sometimes require updated OS's).


I can't really help with #2 or #3, but for #1: You can get around that (at least for Cytofkit v3.6) by going to this page: https://www.bioconductor.org/packages/3 ... ofkit.html
- Once there, download the *.tar.gz file at the bottom. Then you can install directly from the *.tar.gz file in RStudio: lower right pane, Packages, Install, Install From Package Archive File.
- This is also one way to re-install if your copy gets wiped somehow, or seems corrupted.


Hopefully Samuel Granjeaud will chime in: I know he is part of the team working on an updated version of Cytofkit, but I have no idea what the status of that is.


Mike
<<

mleipold

Guru

Posts: 1751

Joined: Fri Nov 01, 2013 5:30 pm

Location: Stanford HIMC, CA, USA

Post Fri Sep 13, 2019 4:48 pm

Re: Cytofkit removed from Bioconductor with v3.9

There's also a dev version, called cytofkit2: https://github.com/JinmiaoChenLab/cytofkit2

Note: it doesn't appear to be on Bioconductor, so you'd have to try the "Install this development version, use:" instructions.


Mike
<<

Kjwaller

Participant

Posts: 11

Joined: Sat Aug 27, 2016 6:56 am

Post Thu Oct 17, 2019 2:54 pm

Re: Cytofkit removed from Bioconductor with v3.9

I just wanted to say thanks to everyone that helped with this, including private messages, sorry I'm slow to reply. I used the workaround, which was fine but only after I had deleted my library in R first for some reason, essentially it was fine when I started afresh.

Return to CyTOF data analysis

Who is online

Users browsing this forum: No registered users and 2 guests

cron